import pika
import sys

connection = pika.BlockingConnection(pika.ConnectionParameters(host='localhost'))
channel = connection.channel()

channel.exchange_declare(exchange='GrenaderovaLogs', exchange_type='fanout')

message = ' '.join(sys.argv[1:]) or "Info: Hello, I am Grenaderova Anastasia. I love cats."
channel.basic_publish(exchange='GrenaderovaLogs', routing_key='', body=message)
print(f" [x] Отправлено сообщение: {message}")
connection.close()